Get all items

Displays a list of all items by using either nextCursor or offset and limit query parameters.

There are two ways of pagination for this API

  • Using nextCursor query parameter
    First call will have the value of nextCursor as '*'. If a call to the endpoint results in a large number of items being returned, the results are sent back in pages. The element nextCursor which is returned in the response is required for pagination.

The nextCursor element contains the string that should be send as a query parameter to the subsequent GET call to get the next page of results.

A missing or empty nextCursor element in the response means that there are no more items left to retrieve.
The totalCount returns the total number of available items. Therefore, analysis of the totalCount provides the number of pages to be retrieved to get the whole list of items.

  • Using offset and limit query parameter
    First call to the API using offset=0 will return the first page of the list of items. The full list can be retrieved by subsequent requests to the same API with successively larger values of offset.

If a SKU is included, this request is semantically identical to Get an Item request. It will return only one item and hence pagination is not required.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string
Defaults to *

Used for pagination when more than 200 items are retrieved.

string

An arbitrary alphanumeric unique ID, specified by the seller, which identifies each item. This will be used by the seller in the XSD file to refer to each item.

string
Defaults to 0

The object response to start with, where 0 is the first entity that can be requested. It can only be used when includeDetails is set to true.

string
Defaults to 20

The number of entities to be returned. It cannot be more than 50 entities. Use it only when the includeDetails is set to true.

string

The lifecycle status of an item describes where the item listing is in the overall lifecycle. Examples of allowed values are ACTIVE , ARCHIVED, RETIRED.

string

The published status of an item describes where the item is in the submission process. Examples of allowed values are PUBLISHED, UNPUBLISHED.

string

Variant Id to retrieve all items with the same variant id

Headers
string
required

A unique ID to track the consumer request by channel. Use the Consumer Channel Type received during onboarding

string
required

A unique ID which identifies each API call and used to track and debug issues; use a random generated GUID for this ID

string
required

Walmart Service Name

string
required

The Epoch timestamp

string
required

The vendor's digital signature, generated by running the JAR file or custom generation code

string
required

A unique ID required to access the API

string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Response

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
application/xml